<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Type extends Model
{ 
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    /**
     * The attributes that are mass assignable.
     *
     * @var array
    */
    protected $fillable = array('name', 'language_id');
    /**
     * Get the questions of this answer
     * @return BelongsTo
     */
    public function language()
    {
        return $this->belongsTo('App\Language','language_id')->withTrashed();
    }

}	